insert.hpp File Reference

## Classes

struct | ranges::insert_fn

## Functions

template<typename Cont , typename P , typename I , typename S >
auto | ranges::insert (Cont &&cont, P p, I i, S j) -> decltype(detail::insert_impl(static_cast< Cont &&>(cont), std::move(p), std::move(i), std::move(j), meta::bool_< random_access_reservable< Cont > &&sized_sentinel_for< S, I >>
template<typename Cont , typename I , typename Rng >
auto | ranges::insert (Cont &&cont, I p, Rng &&rng) -> decltype(detail::insert_impl(static_cast< Cont &&>(cont), std::move(p), static_cast< Rng &&>(rng), meta::bool_< random_access_reservable< Cont > &&sized_range< Rng >>

## Variables

requires lvalue_container_like< Cont > &&input_iterator< P > &&sentinel_for< S, I > && | ranges::!range< S >
constexpr adl_insert_detail::insert_fn | insert {}
requires lvalue_container_like< Cont > &&input_iterator< I > && | ranges::range< Rng >

## Variable Documentation

## !range< S >

requires lvalue_container_like<Cont>&& input_iterator<P>&& sentinel_for<S, I>&& ranges::!range< S >

Initial value:
{
return detail::insert_impl(static_cast<Cont &&>(cont),
std::move(p),
std::move(i),
std::move(j),
meta::bool_ < random_access_reservable<Cont> &&
sized_sentinel_for<S, I> > {})
meta::bool_
std::integral_constant< bool, B > bool_
An integral constant wrapper for bool.
Definition: meta.hpp:168
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52

## range< Rng >

requires lvalue_container_like<Cont>&& input_iterator<I>&& ranges::range< Rng >

Initial value:
{
return detail::insert_impl(static_cast<Cont &&>(cont),
std::move(p),
static_cast<Rng &&>(rng),
meta::bool_ < random_access_reservable<Cont> &&
sized_range<Rng> > {})
meta::bool_
std::integral_constant< bool, B > bool_
An integral constant wrapper for bool.
Definition: meta.hpp:168
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52